using System;
using System.Data;

/// <summary>
/// I_Supply 的摘要说明
/// </summary>
namespace Product
{
    public interface ISupply
    {
        int Insert(TSupply us, out int intReturn);                             //添加供应信息
        int Update(TSupply us);                             //修改供应信息
        int UpdateVerify(TSupply eui);                      //修改审核
        int UpdateRecommend(TSupply eui);                   //修改推荐
        int Delete(int ID);                                 //根据ID删除供应信息
        int Delete(string ID);    
        DataTable GetDataTable(string strWhere);            //根据标题名称和会员名称得到供应信息
        DataTable GetDataTable(TSupply us);                 //根据用户ID和审核信息得到求购信息
        TSupply GateItem(int ID);                           //根据ID取得供应信息
   }
}
